PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/conversion-jobs?limit=10" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H 'accept: application/json'
{
"data": [
{
"conversion_job_id": "670e8400-e29b-41d4-a716-446655440001",
"created_at": "2026-10-07T10:30:00.000Z",
"error_mode": {
"on_error": "abort"
},
"percent_complete": 42.5,
"records_converted": 425000,
"records_skipped": 0,
"source_index_id": "670e8400-e29b-41d4-a716-446655440000",
"source_index_name": "example-index",
"status": "InProgress",
"target_index_id": "123e4567-e89b-12d3-a456-426614174000",
"target_index_name": "example-index-docs"
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}
Index conversion
List conversion jobs
List the project’s conversion jobs, newest first.
GET
/
conversion-jobs
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/conversion-jobs?limit=10" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H 'accept: application/json'
{
"data": [
{
"conversion_job_id": "670e8400-e29b-41d4-a716-446655440001",
"created_at": "2026-10-07T10:30:00.000Z",
"error_mode": {
"on_error": "abort"
},
"percent_complete": 42.5,
"records_converted": 425000,
"records_skipped": 0,
"source_index_id": "670e8400-e29b-41d4-a716-446655440000",
"source_index_name": "example-index",
"status": "InProgress",
"target_index_id": "123e4567-e89b-12d3-a456-426614174000",
"target_index_name": "example-index-docs"
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/conversion-jobs?limit=10" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H 'accept: application/json'
Authorizations
Headers
Required date-based version header
Query Parameters
The number of results to return per page.
Required range:
1 <= x <= 100The token to use to retrieve the next page of results. A malformed token is rejected with 400.
Response
The project's conversion jobs.
Was this page helpful?